/* acconfig.h
   $Id: acconfig.h,v 1.12 2001/09/08 15:30:41 jm Exp $

   Descriptive text for the C preprocessor macros that the 
   distributed Autoconf macros can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* define if your gmp2 header file is in <gmp.h> */
#undef HAVE_GMP_H

/* define if your gmp2 header file is in <gmp2/gmp.h> */
#undef HAVE_GMP2_GMP_H

/* define if you use libreadline */
#undef USE_LIBREADLINE 

/* define if you have GNU md5sum */
#undef HAVE_PROG_GNUMD5SUM

/* Define name of gmp2 library */
#undef GMP2LIB

/* Define the package name */
#undef PACKAGE

/* Define directory where to put pid files */
#undef PIDDIR

/* Define directory where to put UNIX-domain sockets */
#undef SOCKETDIR

/* Define directory where to put system configuration files */
/* #undef SYSCONFDIR */

/* Define the package version */
#undef VERSION

#undef WITH_HA

#undef WITH_SHA

#undef WITH_FA

#undef WITH_MN

#undef WITH_TESTS

#undef WITH_RSA

#undef WITH_WIRELESS

#undef DYN_TARGET_WINDOWS
#undef DYN_TARGET_LINUX

#undef HAVE_RL_COMPLETION_MATCHES

#undef HAVE_LINUX_IF_TUN_H

/* Define to 'size_t' or 'int' if <sys/socket.h> doesn't define. */
#undef socklen_t


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
