/* $Id: dyn_iwspy_rec.h,v 1.6 2000/04/06 07:26:52 jm Exp $
 * Dynamics iwspy recorder module
 *
 * Dynamic hierarchial IP tunnel
 * Copyright (C) 1998-2000, Dynamics group
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

#ifndef DYN_IWSPY_REC_H
#define DYN_IWSPY_REC_H

#include <sys/time.h>
#include <sys/types.h>
#include <asm/types.h>
#include <linux/wireless.h>
#include <sys/socket.h>
#include "hashtable.h"
#include "agentadv.h"

#define MAX_GROUP_PREFIX_LEN 80
#define PLOT_STR_SIZE 2048
#define REC_NODE_CHUNK 256
#define REC_HASH_SIZE 256  /* 8 bit xor of the least 32 significant 
			      bits of the 48 bit mac address */

struct qual_entry {
	struct iw_quality qual[REC_NODE_CHUNK+1];
	struct timeval tstamp[REC_NODE_CHUNK+1];
	unsigned int current;
	struct qual_entry *next;
};

struct hw_record {
	struct node hashnode;
	char hw[ETH_ALEN];
	struct in_addr ip_addr;
	struct qual_entry *quals;
	struct qual_entry *tail;
};

struct dump {
	char plot_str[PLOT_STR_SIZE];
	int output_type;
	int interval;
};

int rec_dump(int, int);
int rec_init(void);
void rec_clean_up(void);
int rec_add_long(struct sockaddr *hwa, unsigned char *hw, 
		 struct in_addr addr, struct iw_quality *qual, 
		 struct timeval *t, int monitored);
int rec_add_qual(char *hw, struct iw_quality *qual, struct timeval *t);
int rec_add(char *hw, struct iw_quality *qual, struct timeval *t, 
	    struct in_addr addr);
#endif
