/* $Id: bitmap.h,v 1.2 2000/04/06 07:26:52 jm Exp $
 * Dynamic bitmap
 *
 * Dynamic hierarchial IP tunnel
 * Copyright (C) 1998-2000, Dynamics group
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

#ifndef BITMAP_H
#define BITMAP_H

#include "owntypes.h"

struct bitmap {
	int size; /* number of bits in the bitmap */
	int u32s; /* number of 32-bit values needed for the bitmap */
	__u32 *bits; /* dynamically allocated storage for bits */
};


struct bitmap *bitmap_init(int start_size);
void bitmap_destroy(struct bitmap *map);

int bitmap_get_free(struct bitmap *map);
void bitmap_release(struct bitmap *map, int bit);
void bitmap_debug_print(struct bitmap *map);

#endif
