/* $Id: fileio.h,v 1.13 2001/07/11 14:44:46 jm Exp $
 * Header files for processing configuration files
 *
 * Dynamic hierarchial IP tunnel
 * Copyright (C) 1998-2001, Dynamics group
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

#ifndef FILEIO_H
#define FILEIO_H

#include <time.h>

#include <netinet/in.h> /* struct in_addr */

/* defines */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

/* structures */

/* prototypes */

int load_data(void *userdata, FILE *file,
	       int (*process) (void *, char *, char *));
int load_int(const char *data, int *x);
int load_bool(const char *data, int *x);
int load_ip_address(const char *data, struct in_addr *addr);
int load_net_address(char *data, struct in_addr *addr, struct in_addr *mask);
int load_ip_prefix(char *data, struct in_addr *addr, int *prefix_len);
int load_hex_table(const char *data, unsigned char *table, int maxlen, int *length);
int load_char_table(const char *data, char *table, int maxlen);
int load_syslog_facility(const char *data, int *facility);
int load_nai(const char *data, char *nai, int *len);

#endif
